summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--abs/core/morethemes/PKGBUILD66
-rw-r--r--abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch22
-rw-r--r--abs/core/myththemes/PKGBUILD51
-rwxr-xr-xabs/core/mythtv/stable-0.24/PKGBUILD14
-rw-r--r--abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch18
-rw-r--r--abs/core/mythtv/stable-0.24/smolt_jump.patch28
6 files changed, 160 insertions, 39 deletions
diff --git a/abs/core/morethemes/PKGBUILD b/abs/core/morethemes/PKGBUILD
new file mode 100644
index 0000000..af8f757
--- /dev/null
+++ b/abs/core/morethemes/PKGBUILD
@@ -0,0 +1,66 @@
+pkgname=morethemes
+pkgver=0.24
+pkgrel=1
+pkgdesc="Additional themes for MythTV"
+url="http://www.mythtv.org"
+license="GPL"
+arch=('any')
+depends=('mythtv')
+groups=('mythtv-extras')
+source=(#'ftp://ftp.knoppmyth.net/R6/sources/morethemes-0.23.tar.bz2'
+ 'ftp://miroku.no-ip.com/blue-abstract-wide.2010.09.16.tar.bz2'
+ 'http://elkin.de/mythtv/2010.09.08-blootube-ng.tar.bz2'
+ 'http://elkin.de/mythtv/2010.11.04-Willi.tar.lzma'
+ 'http://elkin.de/mythtv/2010.03.13-bando-blue.tar.bz2'
+ 'http://www.thepetersclan.com/files/TintedGlass-1.18.tbz2'
+ 'http://www.thepetersclan.com/files/Mod-Gray-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/Bluebar-Hires-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/BlueCurves-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/SimplyBlue-OSD.tbz2'
+ 'http://www.thepetersclan.com/files/BlueCurves2-OSD.tbz2'
+ 'http://www.thepetersclan.com/files/BlueCurves-2.1-OSD.tbz2'
+ 'http://www.mythtv.org/themes/LCARS.tar.gz'
+ 'http://www.mythtv.org/themes/TransBlue.tar.gz'
+ 'http://www.westnet.com/~chris/Mythtv/Retro-wide.tar.gz'
+ 'retro-wide_video-ui.xml-filetypes.patch'
+ 'http://capnbry.net/~bmayland/fi/pvr150/SimpleGray-OSD-0.4.tar.bz2'
+ 'http://www.jobs-khakis-chicks.com/MythTV/IsthmusBlue-OSD.tar.gz'
+ 'http://static.castlesblog.com/public/Glass-OSD-V1.3.zip'
+ 'http://static.castlesblog.com/public/Minimal-OSD-V1.1.zip')
+
+build() {
+ cd ${srcdir}
+ mkdir -p ${pkgdir}/usr/share/mythtv/themes
+
+ msg "Copying files..."
+ for d in `ls -d */`
+ do
+ cp -a "${d}" ${pkgdir}/usr/share/mythtv/themes
+ done
+
+ # Housekeeping
+ rm -fr "${pkgdir}/usr/share/mythtv/themes/__MACOSX" || return 1
+ # Little fix
+ cd ${pkgdir}/usr/share/mythtv/themes/Retro-wide || return 1
+ patch -p0 <${srcdir}/retro-wide_video-ui.xml-filetypes.patch || return 1
+}
+
+md5sums=('878605505599a0f49c44f3df9affe10f'
+ '7c2a2b238b7d44e52b7a8a0361d395aa'
+ '2890f3b991db805a88a48eb6c7048f91'
+ 'c6d90fb469bc30a94e32f76c82122dd3'
+ '80d250bf87c8f72ee238a91c854c0a11'
+ 'c973d0779967034f7a5bc0043574d6f9'
+ 'fb32ddd900e54cff62a62a21025b2585'
+ '79247cf87bbee10363bb214325b7f671'
+ '67c501b80afdefeca623261634dafd9c'
+ '7b2f2eca37f2d9598b00bce85a193bae'
+ '9793dc85a486e1ad9d0c0b6684efd245'
+ 'a36bb7b2597a44128401b1aba9106122'
+ '21d6f967631e45b7039b965a63755282'
+ 'bfc56ffe1c872989f7a1cb7ae20aea49'
+ 'e05bb3d77a11f97a1d547b2f5bc1ddf7'
+ '09dd8679b56794f9850a2382b4e1ea62'
+ 'b6c187b233778abacce102fe609d4e09'
+ 'f8d4fd90f1e45512ea5237de59d5090d'
+ '5646e1df6f593f7116cbdec656146266')
diff --git a/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch b/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch
new file mode 100644
index 0000000..c98487f
--- /dev/null
+++ b/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch
@@ -0,0 +1,22 @@
+--- video-ui.xml.orig 2010-07-04 06:21:18.000000000 +0000
++++ video-ui.xml 2010-07-04 06:22:22.000000000 +0000
+@@ -967,14 +967,17 @@
+
+ <button name="done_button" from="basebutton">
+ <position>700,550</position>
++ <value>Done</value>
+ </button>
+
+ <button name="new_button" from="basebutton">
+- <position>600,550</position>
++ <position>400,550</position>
++ <value>New</value>
+ </button>
+
+ <button name="delete_button" from="basebutton">
+- <position>0,550</position>
++ <position>100,550</position>
++ <value>Delete</value>
+ </button>
+ </window>
+
diff --git a/abs/core/myththemes/PKGBUILD b/abs/core/myththemes/PKGBUILD
new file mode 100644
index 0000000..0038f2e
--- /dev/null
+++ b/abs/core/myththemes/PKGBUILD
@@ -0,0 +1,51 @@
+# $Id: PKGBUILD 86938 2010-08-06 21:53:33Z ibiru $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Juergen Hoetzel <juergen@archlinux.org>
+# Contributor: kleptophobiac@gmail.com
+
+pkgname=myththemes
+pkgver=0.24
+pkgrel=1
+pkgdesc="Themes for MythTV"
+arch=('any')
+url="http://www.mythtv.org/"
+license=('GPL')
+depends=("mythtv>=${pkgver}")
+source=(`echo ${patches[@]:0}`)
+
+build() {
+ _svntrunk="http://svn.mythtv.org/svn/branches/release-0-24-fixes"
+ _svnmod="${pkgname}"
+
+ # get clean copy from SVN repo
+ if [ -d "${srcdir}/${pkgname}" ]
+ then
+ cd "${srcdir}/${pkgname}"
+ echo "Updating from SVN..."
+ svn up
+ else
+ cd "${srcdir}"
+ echo "Checking Out from SVN..."
+ svn co "${_svntrunk}/${_svnmod}"
+ cd "${srcdir}/${pkgname}"
+ fi
+
+ # apply patches
+ echo "--------------------------applying patches----------------------------------------------------"
+ for i in `echo ${patchs[@]:0} `
+ do
+ echo applying $i
+ echo "-----------------------------"
+ patch -Np0 -i ${startdir}/src/$i || return 1
+ done
+ echo "--------------------------done applying patches-----------------------------------------------"
+
+ # clean up from last build
+ make distclean
+
+ cd "${srcdir}/${pkgname}"
+
+ ./configure --prefix=/usr || return 1
+ # basic install
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
diff --git a/abs/core/mythtv/stable-0.24/PKGBUILD b/abs/core/mythtv/stable-0.24/PKGBUILD
index a00c1b6..002c6c1 100755
--- a/abs/core/mythtv/stable-0.24/PKGBUILD
+++ b/abs/core/mythtv/stable-0.24/PKGBUILD
@@ -6,7 +6,7 @@
pkgname=mythtv
pkgver=0.24
-pkgrel=1
+pkgrel=2
pkgdesc="A Homebrew PVR project"
arch=('i686' 'x86_64')
url="http://www.mythtv.org/"
@@ -24,7 +24,7 @@ groups=('pvr')
#MAKEFLAGS="-j6"
install='mythtv.install'
patchs=()
-#patchs=('smolt_jump.patch')
+patchs=('smolt_jump.patch')
optdepends=('xmltv: to download tv listings')
#replaces=('mythtv-contrib')
#conflicts=('mythtv-contrib')
@@ -62,10 +62,10 @@ build() {
find bindings/python contrib -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
# clean up from last build
- echo " simple configure to make sure the distclean works"
- ./configure
- make distclean
- echo "our configure"
+ # echo " simple configure to make sure the distclean works"
+ # ./configure
+ # make distclean
+ # echo "our configure"
ARCH=${CARCH/_/-}
./configure --prefix=/usr --cpu=${ARCH} \
@@ -80,7 +80,6 @@ build() {
--enable-opengl-vsync \
--with-bindings=perl,python --python=python2 || return 1
-# qmake mythtv.pro || return 1
make all || return 1
}
@@ -114,6 +113,7 @@ package() {
}
md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
'2babd4b8e146a7538d18dcd55695b0be'
+ 'a837de9ccc201994320071e48952b17d'
'f735805a80b0d1180dee01f9df1b7004'
'f407d6af23e74a49540755420f84fa58'
'5469d9921b726db750b991c87d226158')
diff --git a/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch b/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
index 2ea90d7..0491803 100644
--- a/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
+++ b/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
@@ -1,5 +1,5 @@
---- themes/defaultmenu/mainmenu.xml.orig 2010-11-06 00:39:35.000000000 +0000
-+++ themes/defaultmenu/mainmenu.xml 2010-11-06 00:41:27.000000000 +0000
+--- themes/defaultmenu/mainmenu.xml.orig 2010-11-08 22:30:08.000000000 +0000
++++ themes/defaultmenu/mainmenu.xml 2010-11-08 22:35:51.000000000 +0000
@@ -2,6 +2,13 @@
<mythmenu name="MAIN">
@@ -14,11 +14,10 @@
<type>MENU_MEDIA_LIBRARY</type>
<text>Media Library</text>
<action>MENU library.xml</action>
-@@ -30,18 +37,4 @@
- <depends>mythmusic mythvideo mytharchive mythburn</depends>
+@@ -31,17 +38,10 @@
</button>
-- <button>
+ <button>
- <type>TV_WATCH_TV</type>
- <text>Watch TV</text>
- <description>Watch live television</description>
@@ -26,10 +25,13 @@
- </button>
-
- <button>
-- <type>MENU_UTILITIES_SETUP</type>
+ <type>MENU_UTILITIES_SETUP</type>
- <text>Utilities / Setup</text>
- <description>Configure MythTV and plugins</description>
- <action>MENU util_menu.xml</action>
-- </button>
--
++ <text>Service Menu</text>
++ <description>Configure your system</description>
++ <action>MENU linhes.xml</action>
+ </button>
+
</mythmenu>
diff --git a/abs/core/mythtv/stable-0.24/smolt_jump.patch b/abs/core/mythtv/stable-0.24/smolt_jump.patch
index 0fc452a..76f884c 100644
--- a/abs/core/mythtv/stable-0.24/smolt_jump.patch
+++ b/abs/core/mythtv/stable-0.24/smolt_jump.patch
@@ -1,30 +1,10 @@
-Index: programs/mythfrontend/networkcontrol.cpp
-===================================================================
---- programs/mythfrontend/networkcontrol.cpp (revision 19291)
-+++ programs/mythfrontend/networkcontrol.cpp (working copy)
-@@ -83,6 +83,7 @@
+--- programs/mythfrontend/networkcontrol.cpp.orig 2010-11-08 23:07:04.000000000 +0000
++++ programs/mythfrontend/networkcontrol.cpp 2010-11-08 23:08:06.000000000 +0000
+@@ -88,6 +88,7 @@
jumpMap["zoneminderliveview"] = "ZoneMinder Live View";
jumpMap["zoneminderevents"] = "ZoneMinder Events";
jumpMap["snapshot"] = "ScreenShot";
+ jumpMap["mythsmolt"] = "MythSmolt";
- // These jump point names match the (lowercased) locations from gContext
jumpMap["channelrecpriority"] = "Channel Recording Priorities";
-@@ -191,7 +192,7 @@
- pthread_create(&command_thread, NULL, CommandThread, this);
-
- gContext->addListener(this);
--
-+
- connect(this, SIGNAL(newConnection()), this, SLOT(newConnection()));
- }
-
-@@ -307,7 +308,7 @@
- cs = new QTextStream(s);
- cs->setCodec("UTF-8");
- }
--
-+
- if (client)
- {
- closedOldConn = true;
+ jumpMap["viewscheduled"] = "Manage Recordings / Fix Conflicts";